import pygame
from pygame.locals import *
from math import *

import itertools as it
import random as rnd

#Randomly generates a color
def color():
	levels = [0, 128, 64, 255]
	c = it.product(levels, repeat = 3)
	res = []

	for i in c:
		res.append(i)

	return rnd.sample(res, 50)

def colorPicker():
	colorPicker.counter += 1

	if  colorPicker.colors[colorPicker.counter] == (1, 1, 1):
		colorPicker.counter+=1

	return colorPicker.colors[colorPicker.counter]

colorPicker.counter = 0
colorPicker.colors = color()

pygame.init()

screen = pygame.display.set_mode((800, 600))

screen.fill((255, 255, 255))

N = input() #Number of cases

L = []

for i in range(N):
	L = input()

	c = colorPicker()

	if len(L) == 2:
		pygame.draw.circle(screen, c, (int(tuple(L)[0][0]), int(tuple(L)[0][1])), int(tuple(L)[1][0]), 0)
	else:
		pygame.draw.polygon(screen, c, tuple(L))

while True:
	for event in pygame.event.get() :
		if event.type == QUIT:
			pygame.quit()
			raise SystemExit()
	
	pygame.display.update()
	

