#ifndef PARSER_DEFS_H
#define PARSER_DEFS_H

#define NOTHING -1

#define MAX_OBJECTS 50

enum ParseTreeNodeType { 
	SCRIPT,
	STATEMENT,
	ASSIGNMENTSTMT,
	ID,
	BOXSTMT,
	OPTIONAL,
	OPTIONS,
	SCALESTMT,
	TRANSLATIONSTMT,
	ROTATIONSTMT,
	COLLISIONSTMT, 
	REFERENCESHIFT,
	IDLIST,
	COORDLIST,
	IDLISTELEMS,
	COORDLISTELEMS, 
	COORDINATE,
	NUM,
	NEWLINE,
	PRINTSTMT,
	VISUALIZESTMT,
};
 
#endif
