#ifndef SYMBOL_TABLE_H
#define SYMBOL_TABLE_H

/*Symbol Table Constants*/
#define SYMTABSIZE		50

#define IDLENGTH		30

#define NOTHING			-1

#define FOUND			 0
#define NOT_FOUND		-1

#define TRUE			 1
#define FALSE			 0

/*Output Formatting*/
#define INDENTOFFSET    2

typedef struct SymbolTable_ {
    
    char* identifier;
    
} SymbolTable;

SymbolTable symbolTable[SYMTABSIZE];
int	assignedVariables[SYMTABSIZE];

int installId(char *id); 
int lookupId(char *s);

int printTable(SymbolTable* table);

void initTables();
char isAssigned(int index);

#endif

