#ifndef VECTORMATH_H
#define VECTORMATH_H

#define PI 3.1415926

#include <math.h>

double norm(double *v);

double* scalarMult(double scalar, const double *vector);
double dotProduct(double *a, double *b);

double* vectorSum(double *a, double *b);
double* vectorSub(double *a, double *b);

double* rotate(const double *vector, double theta);

#endif
